aboutsummaryrefslogtreecommitdiff
path: root/applets
diff options
context:
space:
mode:
authorDenis Vlasenko <vda.linux@googlemail.com>2008-04-27 22:06:24 +0000
committerDenis Vlasenko <vda.linux@googlemail.com>2008-04-27 22:06:24 +0000
commitc0431ed455a601ddbfcd9f30d6397d4e9145cf54 (patch)
tree7eade59699338d065827751d37e72e45d2b4440b /applets
parent4809a9f78eecc7346e5d73b7f60ae6c51e057632 (diff)
downloadbusybox-c0431ed455a601ddbfcd9f30d6397d4e9145cf54.tar.gz
cp: fix "cp -RL" to create regular files even if src is a symlink
Diffstat (limited to 'applets')
-rwxr-xr-xapplets/install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/applets/install.sh b/applets/install.sh
index e94b2b98e..32049b157 100755
--- a/applets/install.sh
+++ b/applets/install.sh
@@ -37,7 +37,7 @@ if [ -n "$DO_INSTALL_LIBS" ] && [ "$DO_INSTALL_LIBS" != "n" ]; then
for i in $DO_INSTALL_LIBS; do
rm -f $prefix/$libdir/$i || exit 1
if [ -f $i ]; then
- cp -a $i $prefix/$libdir/ || exit 1
+ cp -pPR $i $prefix/$libdir/ || exit 1
chmod 0644 $prefix/$libdir/$i || exit 1
fi
done